/*
malloc.h 0.0.1 (2003-Aug-10-Sun)
Adam M. Costello  
http://www.nicemice.net/amc/

Wrappers around malloc and free that maintain a histogram of the
block sizes that are allocated.  You can trick other .c files into
using the wrappers by compiling them with -Dmalloc=malloc_wrapper
-Dfree=free_wrapper.  Notice that the interface is missing wrappers for
calloc and realloc.  Maybe they'll get added someday.

This is ANSI C code.

*/


#include <stddef.h>

void *malloc_wrapper(size_t);
void free_wrapper(void *);
void malloc_histogram(void);
